Snort: DynamicPlugin: Rule…rule will not be used.



  • pfSense: 2.0.1-RELEASE (amd64) Snort: 2.9.1 pkg v. 2.0.2

    I get these messages when snort starts[for example]:

    Jan 3 00:00:00 snort[45448]: DynamicPlugin: Rule [3:19187] not enabled in configuration, rule will not be used.
    Jan 3 00:00:00 snort[45448]: DynamicPlugin: Rule [3:19187] not enabled in configuration, rule will not be used.
    Jan 3 00:00:00 snort[45448]: DynamicPlugin: Rule [3:8351] not enabled in configuration, rule will not be used.
    Jan 3 00:00:00 snort[45448]: DynamicPlugin: Rule [3:8351] not enabled in configuration, rule will not be used.

    I get much more than that, in the ~100s. What do these mean and how can I fix this? I searched around but did not find anything useful.

    EDIT: Is snort just telling me, the rules that are not enabled are not going to be used?



  • This is snort starting up and telling you what it loading and not loading. By default a lot of rules are disabled, so you will get a lot of these.



  • @SeventhSon:

    This is snort starting up and telling you what it loading and not loading. By default a lot of rules are disabled, so you will get a lot of these.

    Thanks, I kinda figured this after posting my question. But good to have conformation :)


Locked